=== debian/changelog ===
libbitarray (2.0-2) unstable; urgency=medium

  * Fix autopkgtest
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Mon, 28 Nov 2022 15:20:29 +0100

libbitarray (2.0-1) unstable; urgency=medium

  * Initial release (Closes: #1021377)

 -- Andreas Tille <tille@debian.org>  Fri, 07 Oct 2022 08:37:28 +0200
