=== debian/control ===
Source: libbitarray
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-exec
Standards-Version: 4.6.1
Vcs-Browser: https://salsa.debian.org/med-team/libbitarray
Vcs-Git: https://salsa.debian.org/med-team/libbitarray.git
Homepage: https://github.com/noporpoise/BitArray
Rules-Requires-Root: no

Package: libbitarray-dev
Architecture: any
Section: libdevel
Depends: ${shlibs:Depends},
         ${misc:Depends}
Multi-Arch: same
Description: library for bit arrays
 Bit arrays are arrays of bits (values zero or one). This is a convenient
 and efficient implementation for C/C++. Arrays can be enlarged or shrunk
 as needed.
 .
 Bit arrays are initialised to zero when created or extended. All
 operations have their bounds checked - an "Out of bounds" error is
 printed if you try to access a bit with index >= length. Arrays of
 length 0 are permitted. Indices must be >= 0.
